<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:20:59 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Project (org.eclipse.papyrus.designer.languages.common.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Project (org.eclipse.papyrus.designer.languages.common.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Project.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/ParentArtifact.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Property.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html" target="_top">Frames</a></li>
<li><a href="Project.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.common.profile.Codegen</div>
<h2 title="Interface Project" class="title">Interface Project</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/MavenProject.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen">MavenProject</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl">MavenProjectImpl</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/ProjectImpl.html" title="class in org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl">ProjectImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Project</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Project</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 Control how code is generated:
 - name of project to generate code into
 - target folder within that project (e.g. src-gen)
 - Batch vs. incremental
 - Prefix: namespace prefix of generated code (similar to prefix option in genmodel)
 <!-- end-model-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getBase_Model--"><code><em>Base Model</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getGenerationMode--"><code><em>Generation Mode</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getProjectName--"><code><em>Project Name</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getSourceFolder--"><code><em>Source Folder</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getPrefix--"><code><em>Prefix</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#getProject--"><code>CodegenPackage.getProject()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Model</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getBase_Model--">getBase_Model</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Model</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen">GenerationModeKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getGenerationMode--">getGenerationMode</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Generation Mode</b></em>' attribute.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getPrefix--">getPrefix</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Prefix</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getProjectName--">getProjectName</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Project Name</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getSourceFolder--">getSourceFolder</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Source Folder</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setBase_Model-org.eclipse.uml2.uml.Model-">setBase_Model</a></span>(org.eclipse.uml2.uml.Model&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getBase_Model--"><code><em>Base Model</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setGenerationMode-org.eclipse.papyrus.designer.languages.common.profile.Codegen.GenerationModeKind-">setGenerationMode</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen">GenerationModeKind</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getGenerationMode--"><code><em>Generation Mode</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setPrefix-java.lang.String-">setPrefix</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getPrefix--"><code><em>Prefix</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setProjectName-java.lang.String-">setProjectName</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getProjectName--"><code><em>Project Name</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setSourceFolder-java.lang.String-">setSourceFolder</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getSourceFolder--"><code><em>Source Folder</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBase_Model--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Model</h4>
<pre>org.eclipse.uml2.uml.Model&nbsp;getBase_Model()</pre>
<div class="block">Returns the value of the '<em><b>Base Model</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Model</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Model</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setBase_Model-org.eclipse.uml2.uml.Model-"><code>setBase_Model(Model)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#getProject_Base_Model--"><code>CodegenPackage.getProject_Base_Model()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Model-org.eclipse.uml2.uml.Model-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Model</h4>
<pre>void&nbsp;setBase_Model(org.eclipse.uml2.uml.Model&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getBase_Model--"><code><em>Base Model</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Model</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getBase_Model--"><code>getBase_Model()</code></a></dd>
</dl>
</li>
</ul>
<a name="getProjectName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectName</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getProjectName()</pre>
<div class="block">Returns the value of the '<em><b>Project Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Project Name</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Project Name</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setProjectName-java.lang.String-"><code>setProjectName(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#getProject_ProjectName--"><code>CodegenPackage.getProject_ProjectName()</code></a></dd>
</dl>
</li>
</ul>
<a name="setProjectName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProjectName</h4>
<pre>void&nbsp;setProjectName(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getProjectName--"><code><em>Project Name</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Project Name</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getProjectName--"><code>getProjectName()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSourceFolder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceFolder</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSourceFolder()</pre>
<div class="block">Returns the value of the '<em><b>Source Folder</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Source Folder</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Source Folder</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setSourceFolder-java.lang.String-"><code>setSourceFolder(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#getProject_SourceFolder--"><code>CodegenPackage.getProject_SourceFolder()</code></a></dd>
</dl>
</li>
</ul>
<a name="setSourceFolder-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceFolder</h4>
<pre>void&nbsp;setSourceFolder(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getSourceFolder--"><code><em>Source Folder</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Source Folder</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getSourceFolder--"><code>getSourceFolder()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPrefix--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrefix</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPrefix()</pre>
<div class="block">Returns the value of the '<em><b>Prefix</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Prefix</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Prefix</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setPrefix-java.lang.String-"><code>setPrefix(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#getProject_Prefix--"><code>CodegenPackage.getProject_Prefix()</code></a></dd>
</dl>
</li>
</ul>
<a name="setPrefix-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrefix</h4>
<pre>void&nbsp;setPrefix(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getPrefix--"><code><em>Prefix</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Prefix</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getPrefix--"><code>getPrefix()</code></a></dd>
</dl>
</li>
</ul>
<a name="getGenerationMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGenerationMode</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen">GenerationModeKind</a>&nbsp;getGenerationMode()</pre>
<div class="block">Returns the value of the '<em><b>Generation Mode</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><code>GenerationModeKind</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Generation Mode</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Generation Mode</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><code>GenerationModeKind</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#setGenerationMode-org.eclipse.papyrus.designer.languages.common.profile.Codegen.GenerationModeKind-"><code>setGenerationMode(GenerationModeKind)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#getProject_GenerationMode--"><code>CodegenPackage.getProject_GenerationMode()</code></a></dd>
</dl>
</li>
</ul>
<a name="setGenerationMode-org.eclipse.papyrus.designer.languages.common.profile.Codegen.GenerationModeKind-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setGenerationMode</h4>
<pre>void&nbsp;setGenerationMode(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen">GenerationModeKind</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getGenerationMode--"><code><em>Generation Mode</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Generation Mode</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><code>GenerationModeKind</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html#getGenerationMode--"><code>getGenerationMode()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Project.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/ParentArtifact.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/Property.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/profile/Codegen/Project.html" target="_top">Frames</a></li>
<li><a href="Project.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
